Package uk.co.mccombe.terrain

# Class UnixPathnames

java.lang.Object
uk.co.mccombe.terrain.UnixPathnames

All Implemented Interfaces:
  `Pathnames`

public class UnixPathnames extends Object implements Pathnames

## Constructor Summary

Constructors
Constructor
Description
`UnixPathnames()`

## Method Summary

Modifier and Type
Method
Description
`String`
`dataPath()`
`String`
`propertiesPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnixPathnames

public UnixPathnames()

## Method Details

### propertiesPath

public String propertiesPath()

Specified by:
  `propertiesPath` in interface `Pathnames`
Returns:
  String containing the pathname for terrain.properties

### dataPath

public String dataPath()

Specified by:
  `dataPath` in interface `Pathnames`
Returns:
  String containing the pathname for the data-cache directory